#ifndef _ENPRESS_H_

#define _ENPRESS_H_

#include <stdio.h>
#include <string.h>
#include <assert.h>
#include "config.h"

#ifdef USE_OPENSSL
#include <openssl/rsa.h>
#include <openssl/evp.h>
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <openssl/pem.h>
#endif

#ifdef USE_ZLIB
#include <zlib.h>
#endif

#include "config_file.h"


#ifdef USE_OPENSSL

int encrypt_buffer(EncryptInfo, unsigned char *, unsigned char *, int *);
int decrypt_buffer(EncryptInfo, unsigned char *, unsigned char *, int);
EncryptInfo generate_key(unsigned char *);
int init_openssl();
void finish_openssl();
#endif

#ifdef USE_ZLIB

#endif

#define CHECK_ERR(err,msg) { \
	if(err != Z_OK) { \
		fprintf(stderr,"%s error: %d",msg,err); \
	} \
}

#endif
