/* This file is part of Chunky Monkey IRCD 
 *
 * Chunky Monkey IRCD is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Chunky Monkey IRCD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Chunky Monkey IRCD; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $Id: cmd_userhost.c,v 1.5.4.4 2002/04/02 11:33:18 lloydy Exp $
 *
 */
#include "modules.h"

CMIRCD_MODULE(1.02, CMD_CLIENT);

/*
* Deal with USERHOST commands, can deal with up to five nicks at a time
* but it could be upto 15 if we wanted
*/
int cmd_userhost(ClientInfo c_ptr, ServerInfo s_ptr, Cmd cmd)
{
	int i;
	ClientInfo subject = NULL;
	char buffer[BUF_SIZE];

	/* Only accept it from local clients */
	if (s_ptr) {

		return 0;
	}

	if (!check_params(cmd, 1)) {
		send_numeric(c_ptr, get_my_server(), 461,
			     "USERHOST :Not enough parameters");

		return 0;
	}

	/* Loop through the parameters */
	for (i = 0; i < 4 && cmd->params[i] != NULL; i++) {
		subject = client_locate(cmd->params[i]);
		if (subject) {
			ircd_sprintf(buffer, BUF_SIZE, ":%s%s%s%s@%s",
				     subject->nick,
				     subject->
				     mode & MODE_IRCOP ? "*=" : "=",
				     subject->mode & MODE_AWAY ? "-" : "+",
				     subject->user, subject->host);
			send_numeric(c_ptr, get_my_server(), 302, buffer);
		}
	}


	return 1;
}
